# This file is part of hmnoweb, a RefineryCMS based Webapp for heavymetal.no
# Copyright (C) 2018  Harald Eilertsen <haraldei@anduin.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

require 'securerandom'
require 'active_support/inflector'

namespace :deploy do
  namespace :refinery do
    desc 'Initialize refinery config for new deployments.'
    task :setup do
      output_file = File.join(shared_path, "config", "initializers", "refinery", "core.rb")
      on roles(:app) do
        unless test "[ -f #{output_file} ]"
          template = IO.read(File.join("config", "initializers", "refinery", "core.rb.erb"))
          core = ERB.new(template)
          site_name = fetch(:site_name, "Beta")
          upload!(StringIO.new(core.result(binding)), output_file)
        end
      end
    end
  end

  before 'deploy:check:linked_files', 'deploy:refinery:setup'
end

# :mode=ruby:
